Subject: RE: SSL connections stopped working :(

From: [email-masked]
Date: Tue, 8 Apr 2003 15:17:43 +0100

You didn't say whether you are using Red Hat's supplied httpd RPM. If you
are, that is Apache 2.0, which may also have conflicts (there's nothing to
stop you removing it and their version of mod_ssl).

rpm -q httpd will tell you if you are.

- 
John Airey, BSc (Jt Hons), CNA, RHCE
Internet systems support officer, ITCSD, Royal National Institute of the
Blind,
Bakewell Road, Peterborough PE2 6XU,
Tel.: +44 (0) 1733 375299 Fax: +44 (0) 1733 370848 [email-masked] 

Taking the path of least resistance is what makes rivers and Men crooked.

> -----Original Message-----
> From: Michael McLagan [mailto:[email-masked]]
> Sent: 07 April 2003 22:44
> To: [email-masked]
> Subject: SSL connections stopped working :(
> 
> 
> Hello,
> 
>    Some time last week, we lost our ability to do SSL.  As 
> near as I can 
> figure, it was around the time I updated my openssl.  We're 
> using RH 8.0 
> and their openssl-0.9.6b-33 (says it's 6h).  
> 
>    I retrieved 2.8.14 from the site today (was using .12 and 
> hoped this 
> would fix it).  
> 
>    I've tried to build this thing on multiple machines, etc.  
> It's not 
> helping.
> 
>    Basically any ssl connection gets logged by apache as 
> "\x80F\x01\X03" 
> intead of teh usual "GET / HTTP/1.1".
> 
>    None of the apache config files changed and I haven't done 
> anything to 
> the build part of my RPM specs.
> 
>    I tried reverting to an older openssl, an older glibc, 
> etc.  None of 
> it is working :(
> 
>    If anyone has a pointer to what I might look into, it 
> would be most 
> appreciated!
> 
>    Michael
> 
> 
> ______________________________________________________________________
> Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
> User Support Mailing List                      [email-masked]
> Automated List Manager                            [email-masked]
> 

- 

NOTICE: The information contained in this email and any attachments is 
confidential and may be legally privileged. If you are not the 
intended recipient you are hereby notified that you must not use, 
disclose, distribute, copy, print or rely on this email's content. If 
you are not the intended recipient, please notify the sender 
immediately and then delete the email and any attachments from your 
system.

RNIB has made strenuous efforts to ensure that emails and any 
attachments generated by its staff are free from viruses. However, it 
cannot accept any responsibility for any viruses which are 
transmitted. We therefore recommend you scan all attachments.

Please note that the statements and views expressed in this email 
and any attachments are those of the author and do not necessarily 
represent those of RNIB.

RNIB Registered Charity Number: 226227

Website: http://www.rnib.org.uk 
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Michael McLagan" <[email-masked]>
Date: Tue, 08 Apr 2003 10:48:51 -0400 (EDT)

>rpm -q httpd will tell you if you are.

John,

   Let me clarify.  I'm using:

      apache  1.3.27    built from RH 7.3 spec non-compiler with changes
      mod_ssl 2.8.14    built from RH 7.3 spec non-compiler with changes
                        also tried 2.8.12
      openssl 0.9.6b-33 as provided by RH.  It's sometime around the
                        upgrade here that things went kablooey.  Was
                        using -31 and -29.  Tried all revs back to -18
                        without success.

   I built the first two using gcc 3.2-7, glibc-2.3.2-4.80.4.  

>The simplest way out is to do
>
>rpm -e openssl --nodeps
>rpm -ivh openssl-0.9.6b-33.i386.rpm (or ...i686.rpm depending on your
>architecture).
>
>To check it has reinstalled properly do
>rpm -V openssl
>
>This should return no errors.
>
>Finally restart the web server with "service httpd restart".

I've backed things out several times, including all of ssl, apache, it's
friends, etc.  Going back to ground 0 hasn't helped :(

There are 5 systems with the same RPMs installed, all produce the same 
strange request.

   Michael